Bug 855385 (CVE-2012-4412)

Summary: CVE-2012-4412 glibc: strcoll() integer overflow leading to buffer overflow
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: codonell, fweimer, grocha, huzaifas, jakub, jrusnack, law, mnewsome, ohudlick, pfrankli, pneedle, schwab
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20120905,reported=20120907,source=internet,cvss2=4.4/AV:L/AC:M/Au:N/C:P/I:P/A:P,rhel-5/glibc=defer,rhel-6/glibc=defer,rhel-7/glibc=notaffected,fedora-all/glibc=affected,cwe=CWE-190[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 855399, 989861    
Bug Blocks: 855429    

Description Jan Lieskovsky 2012-09-07 10:59:00 EDT
An integer overflow, leading to buffer overflow flaw was found in the way the implementation of strcoll() routine, used to compare two strings based on the current locale, of glibc, the GNU libc libraries, performed calculation of memory requirements / allocation, needed for storage of the strings. If an application linked against glibc was missing an application-level sanity checks for validity of strcoll() arguments and accepted untrusted input, an attacker could use this flaw to cause the particular application to crash or, potentially, execute arbitrary code with the privileges of the user running the application.

Upstream bug report (including reproducer):
[1] http://sourceware.org/bugzilla/show_bug.cgi?id=14547
Comment 1 Jan Lieskovsky 2012-09-07 11:31:44 EDT
CVE request:
[2] http://www.openwall.com/lists/oss-security/2012/09/07/9
Comment 2 Jan Lieskovsky 2012-09-07 11:32:49 EDT
This issue affects the versions of the glibc package, as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue affects the versions of the glibc package, as shipped with Fedora release of 16 and 17. Please schedule an update (once there is final upstream patch available).
Comment 3 Jan Lieskovsky 2012-09-07 11:34:15 EDT
Created glibc tracking bugs for this issue

Affects: fedora-all [bug 855399]
Comment 4 Jan Lieskovsky 2012-09-07 13:29:07 EDT
The CVE identifier of CVE-2012-4412 has been assigned to this issue:
http://www.openwall.com/lists/oss-security/2012/09/07/12
Comment 18 Fedora Update System 2013-08-21 20:49:36 EDT
glibc-2.17-13.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Huzaifa S. Sidhpurwala 2013-09-05 05:05:48 EDT
Statement:

This issue affects the version of glibc as shipped with Red Hat Enterprise Linux 5 and 6. The Red Hat Security Response Team has rated this issue as having moderate security impact, a future update may address this flaw.